Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.platform
Class PinConnect.PinNode

    java.lang.Object
      avrora.sim.platform.PinConnect.PinNode

Enclosing class:
  PinConnect

protected class PinConnect.PinNode
extends java.lang.Object

This class stores all the information for a single controller node and its PinWires.

Field Summary
`PinWire` | `eastPinInt`
`PinWire` | `eastPinRx`
`PinWire` | `eastPinTx`
`Microcontroller` | `mcu`
`PinWire` | `northPinInt`
`PinWire` | `northPinRx`
`PinWire` | `northPinTx`
`SimulatorThread` | `simThread`
`PinWire` | `southPinInt`
`PinWire` | `southPinRx`
`PinWire` | `southPinTx`
`PinWire` | `westPinInt`
`PinWire` | `westPinRx`
`PinWire` | `westPinTx`

Constructor Summary
`PinConnect.PinNode(Microcontroller mcu, PinWire northTx, PinWire eastTx, PinWire southTx, PinWire westTx, PinWire northRx, PinWire eastRx, PinWire southRx, PinWire westRx, PinWire northInt, PinWire eastInt, PinWire southInt, PinWire westInt)`

Method Summary
`void` | `addSimulatorThread(SimulatorThread simThread)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mcu

    public Microcontroller mcu

### northPinTx

    public PinWire northPinTx

### eastPinTx

    public PinWire eastPinTx

### southPinTx

    public PinWire southPinTx

### westPinTx

    public PinWire westPinTx

### northPinRx

    public PinWire northPinRx

### eastPinRx

    public PinWire eastPinRx

### southPinRx

    public PinWire southPinRx

### westPinRx

    public PinWire westPinRx

### northPinInt

    public PinWire northPinInt

### eastPinInt

    public PinWire eastPinInt

### southPinInt

    public PinWire southPinInt

### westPinInt

    public PinWire westPinInt

### simThread

    public SimulatorThread simThread

Constructor Detail

### PinConnect.PinNode

    public PinConnect.PinNode(Microcontroller mcu,
                              PinWire northTx,
                              PinWire eastTx,
                              PinWire southTx,
                              PinWire westTx,
                              PinWire northRx,
                              PinWire eastRx,
                              PinWire southRx,
                              PinWire westRx,
                              PinWire northInt,
                              PinWire eastInt,
                              PinWire southInt,
                              PinWire westInt)

Method Detail

### addSimulatorThread

    public void addSimulatorThread(SimulatorThread simThread)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD